using System;
using System.Collections.Generic;

class Program
{
    static void Main()
    {
        int[] a = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
        int N = a[0];
        int L = a[1];
        a = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
        int i = 0;
        while (i < N && a[i] > L ) {
            i++;
        }
        if (i == N) Console.WriteLine(-1);
        else Console.WriteLine(i+1);
    }
}